> ## Documentation Index
> Fetch the complete documentation index at: https://scrinly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List exhausted jobs



## OpenAPI

````yaml /api-reference/openapi.json get /dead-letter-queue
openapi: 3.1.0
info:
  title: Scrinly Browser API
  version: '2026-08-14'
  description: >-
    Public API for browser rendering, screenshots, structured extraction,
    grounded page-reconstruction blueprints, batches, jobs, crawls, schedules,
    and usage.
servers:
  - url: https://api.scrinly.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Rendering
    description: Synchronous and asynchronous browser renders.
  - name: Batches
    description: Create multiple asynchronous render jobs.
  - name: Jobs
    description: Inspect and retry account-owned jobs.
  - name: Crawls
    description: Traverse a site and collect page results.
  - name: Schedules
    description: Create and manage account-owned render schedules.
  - name: Usage
    description: Read account credit usage.
paths:
  /dead-letter-queue:
    get:
      tags:
        - Jobs
      summary: List exhausted jobs
      operationId: listDeadLetterJobs
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: Dead-letter jobs
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    const: true
                  jobs:
                    type: array
                    items:
                      $ref: '#/components/schemas/JobStatus'
                required:
                  - success
                  - jobs
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    JobStatus:
      type: object
      required:
        - id
        - status
        - progress
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - queued
            - in_progress
            - completed
            - failed
            - not_found
        progress:
          type: integer
          minimum: 0
          maximum: 100
        result:
          type: object
          additionalProperties: true
          description: Completed result; `truncated` names omitted large fields.
        error:
          type: string
        attempts:
          type: integer
          minimum: 0
    Error:
      type: object
      properties:
        success:
          type: boolean
          const: false
        error:
          type: string
        type:
          type: string
        message:
          type: string
        fields:
          type: array
          items:
            $ref: '#/components/schemas/FieldError'
    FieldError:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
      required:
        - field
        - message
  responses:
    Unauthorized:
      description: Missing, unknown, or revoked API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Scrinly API key
      description: Customer API key from the Scrinly dashboard.

````